# Poco::Util

# class LoggingSubsystem

Library: Util
Package: Application
Header: Poco/Util/LoggingSubsystem.h

## Description

The LoggingSubsystem class initializes the logging framework using the LoggingConfigurator.

It also sets the Application's logger to the logger specified by the "application.logger" property, or to "Application" if the property is not specified.

## Inheritance

Direct Base Classes: Subsystem

All Base Classes: Poco::RefCountedObject, Subsystem

## Member Summary

Member Functions: initialize, name, uninitialize

Inherited Functions: defineOptions, duplicate, initialize, name, referenceCount, reinitialize, release, uninitialize

## Constructors

### LoggingSubsystem

LoggingSubsystem();

## Destructor

### ~LoggingSubsystem

~LoggingSubsystem();

## Member Functions

### name

const char * name() const;

See also: Poco::Util::Subsystem::name()

### initialize

void initialize(
Application & self
);

See also: Poco::Util::Subsystem::initialize()

### uninitialize

void uninitialize();

See also: Poco::Util::Subsystem::uninitialize()